* {
    margin: 0;
    padding: 0;
}

.contenedor {
    display: grid;
    grid-template-columns: repeat(3, 1fr);
    grid-template-rows: repeat(4, auto);
}

.contenedor .barra-sup {
    height: 247px;
    display: flex;
    justify-content: space-around;
    text-align: center;
    align-items: center;
    background-color: #A67B5B;

    /* es para que abarque toda la parte de arriba */
    grid-column-start: 1;
    grid-column-end: 4;
}

.contenedor .barra-sup .menu {
    list-style: none;
    display: flex;
    font-size: 25px;
    margin: 0;
}

.contenedor .barra-sup .menu li {
    width: auto;
    margin: 30px;
}

.contenedor .barra-sup .menu li a {
    text-decoration: none;
    color: black;
}

.contenedor .barra-sup .logo {
    height: 200px;
}

/* CSS Carrusel */

.contenedor .carrusel {
    grid-column-start: 1;
    grid-column-end: 4;
}

.contenedor .carousel-caption {
    bottom: 3rem;
    z-index: 10;
}

.contenedor .carousel-item {
    height: 35em;
    width: 100%;
}

.contenedor .carousel-item img {
    position: absolute;
    top: 0;
    left: 0;
    width: 100%;
    height: 35rem;
}

/* recuadros de abajo */

.contenedor .info1,
.contenedor .info2,
.contenedor .info3 {
    margin: 20px;
    padding: 20px;
    border-radius: 4px;
    background-color: #ddb671;
    color: black;
}

.contenedor .info1 .imginfo,
.contenedor .info2 .imginfo,
.contenedor .info3 .imginfo {
    width: 300px;
    height: 250px;
}

/* recuadro catalogo */

.contenedor .info1 {
    grid-row-start: 4;
    grid-row-end: 4;

    grid-column-start: 1;
    grid-column-end: 3;
    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contenedor .info1 .btn {
    color: black;
    background: white;
}

/* recuadro veterinaria */

.contenedor .info2 {
    grid-column-start: 3;
    grid-column-end: 4;

    text-align: center;
    display: flex;
    align-items: center;
    justify-content: center;
}

.contenedor .info2 .btn {
    color: black;
    background: white;
}

/* recuadro info3 */

.contenedor .info3 {
    grid-column-start: 1;
    grid-column-end: 4;

    display: flex;
    text-align: center;
    justify-content: center;
    align-items: center;
}

/* recuadro de footer */

.contenedor .footer {
    background: #A67B5B;
    height: 100px;

    grid-column-start: 1;
    grid-column-end: 4;
}

.contenedor .footer .fab {
    width: 30px;
    height: 30px;
    font-size: 35px;
    padding-top: 30px;
}

@media(max-width:1024px) {

    .contenedor .info1 {
        grid-column-start: 1;
        grid-column-end: 4;
    }

    .contenedor .info2 {
        grid-column-start: 1;
        grid-column-end: 4;
    }
}

@media(max-width: 840px) {
    .contenedor .barra-sup .menu {
        display: block;
    }

    .contenedor .carrusel .carousel-item {
        height: 400px;
    }

    .contenedor .carrusel .carousel-item img {
        height: 400px;
    }
}

@media(max-width: 768px) {
    .contenedor .carrusel .carousel-item {
        height: 350px;
    }

    .contenedor .carrusel .carousel-item img {
        height: 350px;
    }
}

@media(max-width: 560px) {
    .contenedor .barra-sup {
        display: block;
        height: 420px;
    }

    .contenedor .barra-sup .logo {
        height: 200px;
        width: 250px;
    }

    .contenedor .carrusel .carousel-item {
        height: 300px;
    }

    .contenedor .carrusel .carousel-item img {
        height: 300px;
    }

    .contenedor .info3 {
        display: block;
    }
}

@media(max-width: 440px) {
    .contenedor {
        display: table;
    }

    .contenedor .barra-sup {
        height: 700px;
    }

    .contenedor .barra-sup .logo {
        height: 350px;
        width: 350px;
    }

    .contenedor .barra-sup a {
        font-size: 50px;
    }

    .contenedor .carrusel .carousel-item {
        height: 600px;
    }

    .contenedor .carrusel .carousel-item img {
        height: 600px;
    }

    .contenedor .info1 .imginfo,
    .contenedor .info2 .imginfo,
    .contenedor .info3 .imginfo {
        width: 550px;
        height: 400px;
    }

    .contenedor .info1 a,
    .contenedor .info2 a {
        font-size: 40px;
        text-transform: uppercase;
        font-family: Arial, Helvetica, sans-serif;
        height: 60px;
    }

    .contenedor .info3 {
        height: 800px;
    }

    .contenedor .info3 h1 {
        font-size: 70px;
    }

    .contenedor .info3 p {
        font-size: 40px;
        text-transform: uppercase;
        font-family: Arial, Helvetica, sans-serif;
    }

}